# Algorithms_in_C++: others::iterative_tree_traversals::Node Struct Reference

Loading...
Searching...
No Matches
others::iterative_tree_traversals::Node Struct Reference

defines the structure of a node of the tree More...

Collaboration diagram for others::iterative_tree_traversals::Node:
[legend]

## Public Attributes

int64_t | data = 0
| The value/key of the node.
struct Node * | left {}
| struct pointer to left subtree.
struct Node * | right {}
| struct pointer to right subtree.

## Detailed Description

defines the structure of a node of the tree

The documentation for this struct was generated from the following file:

- others/iterative_tree_traversals.cpp